package it.unimi.dsi.big.mg4j.tool;
import java.io.*;
import org.apache.commons.io.*;
import org.apache.commons.io.filefilter.*;
import static org.junit.Assert.*;

public class MainTest {
@org.junit.Test
public void testMain() throws Throwable {

final String basename = File.createTempFile( MainTest.class.getSimpleName(), "test" ).getCanonicalPath();
it.unimi.dsi.fastutil.io.BinIO.storeObject( new it.unimi.dsi.big.mg4j.document.TestDocumentCollection(), basename + ".collection" );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class ZipDocumentCollectionBuilder -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class ZipDocumentCollectionBuilder -S " + basename + ".collection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class ZipDocumentCollectionBuilder -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class ZipDocumentCollectionBuilder -S " + basename + ".collection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class SimpleCompressedDocumentCollectionBuilder -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class SimpleCompressedDocumentCollectionBuilder -S " + basename + ".collection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class SimpleCompressedDocumentCollectionBuilder -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class SimpleCompressedDocumentCollectionBuilder -S " + basename + ".collection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class ZipDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built -e --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt -e --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-built  --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-B " + basename + "-rebuilt  --builder-class SimpleCompressedDocumentCollectionBuilder -oit.unimi.dsi.big.mg4j.document.TestDocumentCollection(true) " + basename + "2" ).split("[ ]+") );
assertTrue( IOUtils.contentEquals( new FileInputStream( basename + "-text.index" ), new FileInputStream( basename + "2-text.index" ) ) );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor   -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1    -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2    -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10    -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text   -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q-1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q1 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q2 -H0  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H0  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q-1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q1 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q2 -H1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H1  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q-1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q-1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q1 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q1 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved -Q2 -H10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved -Q2 -H10  " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tNullTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tNullTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tNullTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tNullTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1 -tDowncaseTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2 -tDowncaseTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10 -tDowncaseTermProcessor  --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10 -tDowncaseTermProcessor -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s1   --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s1  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s2   --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s2  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.IndexBuilder.main( ( "-s10   --interleaved   --no-skips -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Scan.main( ( "-s10  -S " + basename + ".collection " + basename + "" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.tool.Combine.main( ( "-p " + basename + "-text  --interleaved   --no-skips " + basename + "-text" ).split("[ ]+") );
it.unimi.dsi.big.mg4j.test.Verifier.main( ( "-R -S " + basename + ".collection " + basename + "-text" ).split("[ ]+") );
for ( Object f : FileUtils.listFiles( new File( basename ).getParentFile(), FileFilterUtils.prefixFileFilter( IndexTest.class.getSimpleName() ), null ) ) ( (File)f ).delete();
}
}
